> For the complete documentation index, see [llms.txt](https://doc.commandersact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.commandersact.com/developers/tracking-and-integrations/tracking/about-events/ecommerce-retail-events.md).

# E-commerce/retail events

The following events are recommended for retail and ecommerce apps and websites. To learn how to implement these events for your website, refer to the [developer documentation](/developers/tracking-and-integrations/tracking/events-reference.md).

{% hint style="info" %}
Retail and ecommerce apps should log the events listed in this article ***and*** the events for **all apps**. Logging events along with their prescribed parameters ensures maximum available detail in reports and lets you benefit from the latest features and integrations as they become available.
{% endhint %}

| [add\_payment\_info](/developers/tracking-and-integrations/tracking/events-reference.md#add_payment_info)   | when a user submits their payment information         | coupon, currency, items, payment\_type, value                                                    |
| ----------------------------------------------------------------------------------------------------------- | ----------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| [add\_shipping\_info](/developers/tracking-and-integrations/tracking/events-reference.md#add_shipping_info) | when a user submits their shipping information        | coupon, currency, items, shipping\_tier, value                                                   |
| [add\_to\_cart](/developers/tracking-and-integrations/tracking/events-reference.md#add_to_cart)             | when a user adds items to cart                        | currency, items, value                                                                           |
| [add\_to\_wishlist](/developers/tracking-and-integrations/tracking/events-reference.md#add_to_wishlist)     | when a user adds items to a wishlist                  | currency, items, value                                                                           |
| [begin\_checkout](/developers/tracking-and-integrations/tracking/events-reference.md#begin_checkout)        | when a user begins checkout                           | coupon, currency, items, value                                                                   |
| [generate\_lead](/developers/tracking-and-integrations/tracking/events-reference.md#generate_lead)          | when a user submits a form or request for information | value, currency                                                                                  |
| [purchase](/developers/tracking-and-integrations/tracking/events-reference.md#purchase)                     | when a user completes a purchase                      | affiliation, coupon, currency, items, transaction\_id, shipping, tax, value (required parameter) |
| [refund](/developers/tracking-and-integrations/tracking/events-reference.md#refund)                         | when a refund is issued                               | affiliation, coupon, currency, items, transaction\_id, shipping, tax, value                      |
| [remove\_from\_cart](/developers/tracking-and-integrations/tracking/events-reference.md#remove_from_cart)   | when a user removes items from a cart                 | currency, items, value                                                                           |
| [select\_item](/developers/tracking-and-integrations/tracking/events-reference.md#select_item)              | when an item is selected from a list                  | items, item\_list\_name, item\_list\_id                                                          |
| select\_promotion                                                                                           | when a user selects a promotion                       | items, promotion\_id, promotion\_name, creative\_name, creative\_slot, location\_id              |
| [view\_cart](/developers/tracking-and-integrations/tracking/events-reference.md#view_cart)                  | when a user views their cart                          | currency, items, value                                                                           |
| [view\_item](/developers/tracking-and-integrations/tracking/events-reference.md#view_item)                  | when a user views an item                             | currency, items, value                                                                           |
| [view\_item\_list](/developers/tracking-and-integrations/tracking/events-reference.md#view_item_list)       | when a user sees a list of items/offerings            | items, item\_list\_name, item\_list\_id                                                          |
| view\_promotion                                                                                             | when a promotion is shown to a user                   | items, promotion\_id, promotion\_name, creative\_name, creative\_slot, location\_id              |
| [page\_view](/developers/tracking-and-integrations/tracking/events-reference.md#page_view)                  | When a user view a page                               | type, name                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://doc.commandersact.com/developers/tracking-and-integrations/tracking/about-events/ecommerce-retail-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
